This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11708 - rpm -F and -U weirdness
rpm -F and -U weirdness
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-27 18:07 EDT by pgiannoz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-27 18:29:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pgiannoz 2000-05-27 18:07:38 EDT
After upgrading from RH6.0 to RH 6.2 (on several machines):

1) rpm -F does not work

[root@mercedes giannozz]# rpm -qa | grep krb5
krb5-configs-1.1.1-9
krb5-libs-1.1.1-9
[root@mercedes giannozz]# rpm -Fvh  krb5-configs-1.1.1-16.i386.rpm
no packages require freshening
[root@mercedes giannozz]# rpm -Fvh  no-such-file
/usr/lib/rpm/freshen.sh: /etc/rpm: is a directory
exec: /etc/rpm: cannot execute: Permission denied
[root@mercedes giannozz]# rpm -Fvh
/usr/lib/rpm/freshen.sh: /etc/rpm: is a directory
exec: /etc/rpm: cannot execute: Permission denied

???

2) rpm -U does not install anything if one of the packages is already
installed. If it is a feature, it is not a good one.
Comment 1 pgiannoz 2000-05-27 18:29:59 EDT
Ok, I should have figured out that it was something stupid...For some reason
I had /etc/in the path of root before /bin, and the installation leaves an
empty /etc/rpm directory...rpm -F now works as it used to be.

Note You need to log in before you can comment on or make changes to this bug.